EPIC and IBM WebSphere

2003-10-10
2003-10-10
  • Ian D. Stewart
    Ian D. Stewart
    2003-10-10

    I am trying to use the EPIC plug-in with IBM WebSphere Studio Application Developer 5.0, and am encountering the following error:

    Unable to instantiate editor: org.epic.perleditor.editors.PerlEditor
    java.lang.NoClassDefFoundError:
    org/eclipse/jface/text/source/ISharedTextColors

    I have used EPIC in the past, using Eclipse, and am really looking forward to getting it working with WSAD!

    Thanx,
    Ian

     
    • Jochen Ruehl
      Jochen Ruehl
      2003-10-10

      Which EPIC / Eclipse version are you using?
      Could you please provide a full stack trace from the Error_Log.
      Otherwise it's hard to locate the problem.

      Bye
      Jochen

       
    • Ian D. Stewart
      Ian D. Stewart
      2003-10-10

      I was not able to locate an 'Error_Log' file.  I'm running Linux (Redhat 8.0), if it makes a difference.

      Far as I can tell, WebSphere Studio Application Developer appears to be based on Eclipse 2.0.2.  I am using the latest build of EPIC (org.epic.perleditor_0.1.0_alpha_20031008)

      Thanx,
      Ian

       
    • Jochen Ruehl
      Jochen Ruehl
      2003-10-10

      Sorry the "Error Log" is a view,  not a file. I didn't intend to confuse you :)

      The Eclipse API changes quite rapidly from version to version.
      To run EPIC you should use Eclipse 2.1.
      Sorry but you might not be able to run it with this WSAD if it's based on Eclipse 2.0 :(
      We are actually just struggling to get it working properly with Eclipse 3.0.

      Bye
      Jochen

       
    • Ian D. Stewart
      Ian D. Stewart
      2003-10-10

      Ok.

      I have a copy of Eclipse 2.1 installed.  I guess I'll use that for my Perl development and WSAD for Java.